/*
 * Dump.java
 *
 * Uses the class file decoders in util to dump out a
 * class file.
 * Written : 22 - May - 1996 by Chuck McManis
 */
package dumper;

import java.io.FileInputStream;
import java.io.IOException;

public class Dump {

    public Dump(String fileName) {

        FileInputStream fis;
        ClassFile cf = new ClassFile();
        cf.debug = true;

        try {
            fis = new FileInputStream(fileName);
        } catch (IOException e) {
            fis = null;
        }

        try {

            /* Read in the .class file (can throw various things) */

            if (!cf.read(fis)) {

                System.out.println("Couldn't load " + fileName + ", press a key.");

                int c = System.in.read(); /* this is for Symantec */

                throw new Exception("File not parsed.");

            }


            cf.display(System.out);

            // int c = System.in.read(); /* Keep screen open */

        } catch (Exception e) {
        }

    }

}

