package vs;

import java.awt.*;

public class DoubleDialog extends Frame {

    //MenuBarFrame menu_bar_frame;
    //Declare controls
    Label label1;
    DoubleTextField textfield;

    Button ok_button;
    Button cancel_button;

    ObservableDouble i;

    public DoubleDialog(
            String dialog_title,
            String label,
            ObservableDouble sample) {
        init(dialog_title, label);
        set(sample);

    }

    public void set(ObservableDouble sample) {
        i = sample;

        textfield = new DoubleTextField(i);
        add("Right", textfield);
        textfield.reshape(89, 25, 64, 16);
        cancel_button = new Button("Cancel");
        add(cancel_button);
        cancel_button.reshape(13, 175, 88, 28);

        ok_button = new Button("OK");
        add(ok_button);
        ok_button.reshape(130, 175, 63, 29);

        pack();
        show();
    }

    public void init(String dialog_title, String label) {
        setLayout(new FlowLayout());
        resize(250, 250);
        setResizable(false);
        setTitle(dialog_title);

        //Initialize components
        label1 = new Label(label);
        add("Left", label1);
        label1.reshape(5, 19, 86, 23);


//END_INIT_CONTROLS}}
    }

    void ok() {
        // If the text is not a valid int then the dialog
        // box will stay visible.
        String s = textfield.getText();

        Double i_dbl = new Double(i.getValue());
        // default values
        try {
            i_dbl = Double.valueOf(s);
            i.setValue(i_dbl.doubleValue());
            // Geometry.lambda.setValue(i);

        } catch (NumberFormatException e) {
            System.out.println(
                    "IntDialog:ER! Not a number, using defaults");
            // pick a reasonable default
        }
        return;
    }


    public boolean handleEvent(Event event) {

// WARNING: Everything between the {{ }} marks gets obliterated when you save from Cafe Studio
//{{DEFINE_EVENT_BEHAVIORS

        //Defining event handlers
        if (event.id == Event.ACTION_EVENT && event.target == ok_button) {

            ok();
        }
        if (event.id == Event.ACTION_EVENT && event.target == cancel_button) {
            hide();
        }

        return super.handleEvent(event);
    }
}



